Summary:	A professional CAD system
Name:		qcad
Version:	3.14.2.0
Release:	%mkrel 4
Group:		Graphics/Editors and Converters
License:	GPLv3 with exceptions, CC-BY, GPLv2+, LGPLv2.1, BSD
URL:		http://www.qcad.org
Source0:	https://github.com/qcad/qcad/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		qcad-3.14.2.0-use-system-quazip.patch
ExcludeArch:	armv5tl

# minimal BuildRequires
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Designer)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5WebChannel)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5XmlPatterns)
BuildRequires:	pkgconfig(Qt5ScriptTools)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(glu)
BuildRequires:	quazip-devel

# extra BuildRequires and simular Requires for additional plugins, which were not installed by BuildRequires above
BuildRequires:	qtimageformats5
Requires:	qtimageformats5
Requires:	qtwebengine5

%description
QCad is a professional CAD System. With QCad you can easily construct
and change drawings with ISO-text and many other features and save
them as DXF-files. These DXF-files are the interface to many
CAD-systems such as AutoCAD(TM) and many others.

%prep
%setup -q
%autopatch -p1

%build
# Use the 5.6.0 generator with Qt 5.6.2
ln -s qt-labs-qtscriptgenerator-5.6.0 src/3rdparty/qt-labs-qtscriptgenerator-5.6.2
ln -s qt-labs-qtscriptgenerator-5.6.0.pro src/3rdparty/qt-labs-qtscriptgenerator-5.6.2/qt-labs-qtscriptgenerator-5.6.2.pro
%qmake_qt5

%make_build

%install
# remove project files
find . \( -name '*.pri' -or -name '*.pro' -or -name '*.ts' \) -delete
find . \( -name 'Makefile*' -or -name '.gitignore' \) -delete

install -dm755 %{buildroot}%{_datadir}/%{name}
cp -r examples fonts libraries linetypes patterns plugins scripts ts %{buildroot}%{_datadir}/%{name}
cp release/* %{buildroot}%{_datadir}/%{name}

# qt
for sofiles in %{_qt5_plugindir}/imageformats/*.so
do
    ln -sf ${sofiles} %{buildroot}%{_datadir}/%{name}/plugins/imageformats/${sofiles##/*/}
done

for sofiles in %{_qt5_plugindir}/sqldrivers/*.so
do
    ln -sf ${sofiles} %{buildroot}%{_datadir}/%{name}/plugins/sqldrivers/${sofiles##/*/}
done

for sofiles in %{_qt5_plugindir}/printsupport/*.so
do
    ln -sf ${sofiles} %{buildroot}%{_datadir}/%{name}/plugins/printsupport/${sofiles##/*/}
done

install -Dm644 scripts/%{name}_icon.png %{buildroot}%{_iconsdir}/%{name}_icon.png

install -dm0755 %{buildroot}%{_bindir}
echo -e '#!/bin/sh\ncd %{_datadir}/%{name}\nLD_LIBRARY_PATH=`pwd`:%{_libdir}/%{name}:$LD_LIBRARY_PATH exec ./%{name}-bin' > %{buildroot}%{_bindir}/%{name}
chmod 0755 %{buildroot}%{_bindir}/%{name}

rm -f %{buildroot}%{_datadir}/%{name}/*.a

install -dm0755 %{buildroot}%{_libdir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/*.so %{buildroot}%{_libdir}/%{name}

# man page
install -Dm644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

# documentation for help system
install -Dm644 readme.txt %{buildroot}%{_datadir}/%{name}/readme.txt

# desktop
install -Dm644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc readme.txt LICENSE.txt README.md gpl-3.0.txt cc-by-3.0.txt gpl-3.0-exceptions.txt
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_iconsdir}/*.png
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Nov 10 2016 daviddavid <daviddavid> 3.14.2.0-4.mga6
+ Revision: 1066282
- fix build now against Qt 5.6.2

* Mon Sep 05 2016 daviddavid <daviddavid> 3.14.2.0-3.mga6
+ Revision: 1050129
- do not build on armv5tl because of missing qtwebengine5

* Fri Jul 08 2016 daviddavid <daviddavid> 3.14.2.0-2.mga6
+ Revision: 1039802
- fix build against Qt 5.6.1
- add patch to use system quazip

* Thu Apr 28 2016 daviddavid <daviddavid> 3.14.2.0-1.mga6
+ Revision: 1007214
- new version: 3.14.2.0
- switch from qtwebkit to qtwebengine
- split out all BRs Qt5

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 02 2015 alexl <alexl> 3.12.3.3-1.mga6
+ Revision: 907767
- version 3.12.3.3
- del upstreamed i18n.patch
- use desktop file from upstream

* Sun Nov 22 2015 alexl <alexl> 3.12.2.3-2.mga6
+ Revision: 904809
- less list of requires and buildrequires

* Sat Nov 21 2015 alexl <alexl> 3.12.2.3-1.mga6
+ Revision: 904718
- version 3.12.2.3
- build with qt5
- partially fix i18n for the first start
- del upstreamed patches
- install documentation for help system
- install man page
- fix removing project files
- install libs in libdir/qcad instead of libdir

* Tue Oct 20 2015 danf <danf> 3.6.2.0-6.mga6
+ Revision: 892921
- Fix the build against Qt 4.8.7

* Wed Jan 07 2015 alexl <alexl> 3.6.2.0-5.mga5
+ Revision: 808985
- added GenericName in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 3.6.2.0-4.mga5
+ Revision: 739744
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.6.2.0-3.mga5
+ Revision: 688469
- Mageia 5 Mass Rebuild

  + danf <danf>
    - Added bzero.patch to fix compiling with glibc 2.20

* Thu Aug 14 2014 alexl <alexl> 3.6.2.0-2.mga5
+ Revision: 662542
- translated desktop file

* Mon Jul 21 2014 alexl <alexl> 3.6.2.0-1.mga5
+ Revision: 655268
- version 3.6.2.0

* Sun May 25 2014 alexl <alexl> 3.5.1.0-1.mga5
+ Revision: 626490
- version 3.5.1.0
- fixed build with qt4.8.6

* Thu Apr 17 2014 alexl <alexl> 3.4.7.1-1.mga5
+ Revision: 615465
- imported package qcad

